package com.annahid.games.example;

import com.annahid.games.example.scenes.MenuScene;
import com.annahid.libs.artenus.Artenus;
import com.annahid.libs.artenus.core.Scene;
import com.annahid.libs.artenus.core.Stage;
import com.annahid.libs.artenus.core.StageEvents;
import com.annahid.libs.artenus.core.StageManager;
import com.annahid.libs.artenus.graphics.TextureManager;
import com.annahid.libs.artenus.sound.SoundManager;

public class MainActivity extends Artenus implements StageManager {

    /**
     * This constructor hides the Annahid Games splash screen. I don't write any constructor in my
     * own games because I would like the intro to be displayed! :-)
     */
    public MainActivity() {
        super(true);
    }

    @Override
    protected void init(Stage stage) {
        // This is an absolute necessity.
        stage.setManager(this);
    }

    @Override
    public void onLoadStage(Stage stage) {
        /*
            Add global textures to the game. If you have local textures
            for each scene, they are handled differently.
         */
        TextureManager.add(
                R.raw.play,
                R.raw.font_letters
        );

        // Add sounds to the game
        SoundManager.add(R.raw.step);
    }

    @Override
    public Scene createInitialScene(Stage stage) {
        // Let the game begin!
        return new MenuScene(stage);
    }

    @Override
    public void onEvent(Stage stage, StageEvents event) {
        // Normally you don't need to handle these events.
    }
}
